Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159495 - kcontrol crashes after accessing laptop battery component
Summary: kcontrol crashes after accessing laptop battery component
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-02 22:59 UTC by Gordon Fox
Modified: 2008-02-12 00:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-12 00:15:47 UTC


Attachments (Terms of Use)

Description Gordon Fox 2005-06-02 22:59:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
If I open kcontrol, and then access the laptop power component, when I close kcontrol it crashes. It does NOT crash if I don't open the laptop power component, and the crash occurs on closing kcontrol only.



Here's the debug info:
Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 16384 (LWP 7064)]
[KCrash handler]
#5  0x0150738b in QString::fromLocal8Bit ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#6  0x014dfdd5 in QFile::setErrorStringErrno ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#7  0x014cb284 in QFile::close () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#8  0x014df22e in QFile::~QFile () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#9  0x00d9eb3a in laptop_portable::extra_config ()
   from /usr/lib/libkcmlaptop.so.0
#10 0x00d95da7 in ?? () from /usr/lib/libkcmlaptop.so.0
#11 0x0000000e in ?? ()
#12 0x00da5438 in ?? () from /usr/lib/libkcmlaptop.so.0
#13 0xbfe96b18 in ?? ()
#14 0x00da33ee in _fini () from /usr/lib/libkcmlaptop.so.0
#15 0x00da33ee in _fini () from /usr/lib/libkcmlaptop.so.0
#16 0x00db7887 in _dl_fini () from /lib/ld-linux.so.2
#17 0x018fe0f7 in exit () from /lib/i686/libc.so.6
#18 0x0804dfb9 in ?? ()
#19 0x00000000 in ?? ()


Version-Release number of selected component (if applicable):
kdeadmin-3.3.1-1, kdelibs-3.3.1-2.12.FC3, kdebase-3.3.1-4.3.FC3

How reproducible:
Always

Steps to Reproduce:
1.Open kcontrol
2.Click on laptop battery
3.Close kcontrol
  

Actual Results:  Crash

Expected Results:  No crash

Additional info:

Comment 1 Matthew Miller 2006-07-10 20:52:25 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 petrosyan 2008-02-12 00:15:47 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.